// colorsel.h
//
// Header file for D3DCOLOR editing dialog.
//
// Copyright (C) 2001, Rich Thomson.  All rights reserved.
#if !defined(RT_COLOR_SEL_H)
#define RT_COLOR_SEL_H

#include <d3d8.h>

// BYTE D3DCOLOR_CC(D3DCOLOR argb, UINT shift)
#define D3DCOLOR_CC(argb_, shift_) (((argb_) >> (shift_)) & 0xFF)
// BYTE D3DColor_xxx(D3DCOLOR argb)
#define D3DColor_Alpha(argb_) D3DCOLOR_CC(argb_, 24)
#define D3DColor_Red(argb_)   D3DCOLOR_CC(argb_, 16)
#define D3DColor_Green(argb_) D3DCOLOR_CC(argb_, 8)
#define D3DColor_Blue(argb_)  ((argb_) & 0xFF)

extern D3DCOLOR rt_choose_color(HWND owner, D3DCOLOR last);

#endif
